# Create pricelist

Creates a price list.

## POST /public/v1/catalog/price-lists

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/price-lists":{"post":{"tags":["PriceLists"],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreatePriceListRequest"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreatePriceListRequest"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreatePriceListRequest"}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"CreatePriceListRequest":{"required":["precision","product"],"type":"object","properties":{"currency":{"type":"string"},"precision":{"type":"integer","format":"int32"},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true},"notes":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/PriceListExternalIdInput"}],"nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]}},"additionalProperties":false},"PriceListExternalIdInput":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"PriceList":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"},"precision":{"type":"integer","format":"int32"},"defaultMarkup":{"type":"number","format":"double"},"defaultMargin":{"type":"number","format":"double"},"notes":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/PriceListExternalIdBag"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/PriceListStatistics"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PriceListExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"PriceListStatistics":{"type":"object","properties":{"sellers":{"type":"integer","format":"int32"},"listings":{"type":"integer","format":"int32"},"priceListItems":{"type":"integer","format":"int32"},"purchasePriceItems":{"type":"integer","format":"int32"},"purchasePriceCompleteness":{"type":"integer","format":"int32"},"salesPriceItems":{"type":"integer","format":"int32"},"salesPriceCompleteness":{"type":"integer","format":"int32"},"averageMarkup":{"type":"number","format":"double"},"averageMargin":{"type":"number","format":"double"}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
